﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Books.aspx.cs" Inherits="DatabaseWebApp.BookList" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link rel="stylesheet" type="text/css" href="../style.css" />
    <title>Books</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
            <h1><asp:Image ID="Image1" runat="server" Height="64px" ImageUrl="~/Images/Books-icon.png" />
             Books</h1>
    
        <asp:GridView ID="gridBookList" runat="server" CellPadding="4" ForeColor="#333333" GridLines="None" OnSelectedIndexChanged="gridBookList_SelectedIndexChanged" OnRowDataBound="gridBookList_RowDataBound">

            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
            <EditRowStyle BackColor="#999999" />
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <SelectedRowStyle BackColor="#CCE4E4" Font-Bold="False" ForeColor="#333333" />
            <SortedAscendingCellStyle BackColor="#E9E7E2" />
            <SortedAscendingHeaderStyle BackColor="#506C8C" />
            <SortedDescendingCellStyle BackColor="#FFFDF8" />
            <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
          
        </asp:GridView>

        <br />
        <asp:Button ID="btnNewBook" runat="server" Text="New Book" OnClick="btnNewBook_Click" />
        <asp:Button ID="btnEditBook" runat="server" Text="Edit Book" OnClick="btnEditBook_Click" />
        <asp:Button ID="btnDeleteBook" runat="server" Text="Delete Book" OnClick="btnDeleteBook_Click" />
    
     </div>
     </form>
</body>
</html>
